Package: org.grails.encoder

## [Java] Interface Decoder

- org.grails.encoder.CodecIdentifierProvider

- All Superinterfaces:
    CodecIdentifierProvider

      public interface Decoder
      extends CodecIdentifierProvider

  interface for decoder methods

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `decode(java.lang.Object o)` Decode given input object

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface CodecIdentifierProvider` | `getCodecIdentifier`

- - ### Method Detail

    - #### public java.lang.Object decode(java.lang.Object o)

      Decode given input object

      Parameters:
        `o` - the input object
      Returns:
        the decoded object